List URL Content Versions
curl --request POST \
--url https://api.peec.ai/customer/v1/sources/urls/content/versions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "https://example.com/blog/page1",
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"limit": 1000,
"offset": 0
}
'import requests
url = "https://api.peec.ai/customer/v1/sources/urls/content/versions"
payload = {
"url": "https://example.com/blog/page1",
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"limit": 1000,
"offset": 0
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/blog/page1',
project_id: 'or_f45b94ba-5e35-4982-93ed-285e72ee14eb',
limit: 1000,
offset: 0
})
};
fetch('https://api.peec.ai/customer/v1/sources/urls/content/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peec.ai/customer/v1/sources/urls/content/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://example.com/blog/page1',
'project_id' => 'or_f45b94ba-5e35-4982-93ed-285e72ee14eb',
'limit' => 1000,
'offset' => 0
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peec.ai/customer/v1/sources/urls/content/versions"
payload := strings.NewReader("{\n \"url\": \"https://example.com/blog/page1\",\n \"project_id\": \"or_f45b94ba-5e35-4982-93ed-285e72ee14eb\",\n \"limit\": 1000,\n \"offset\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peec.ai/customer/v1/sources/urls/content/versions")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://example.com/blog/page1\",\n \"project_id\": \"or_f45b94ba-5e35-4982-93ed-285e72ee14eb\",\n \"limit\": 1000,\n \"offset\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peec.ai/customer/v1/sources/urls/content/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://example.com/blog/page1\",\n \"project_id\": \"or_f45b94ba-5e35-4982-93ed-285e72ee14eb\",\n \"limit\": 1000,\n \"offset\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"versions": [
{
"version": 3,
"scraped_at": "2026-09-01T12:30:00.000Z"
}
],
"total_count": 3
}
}{
"message": "<string>"
}Reports
List URL Content Versions
List the stored content versions of a source URL. Peec re-scrapes a URL when it is cited again and its last scrape is several days old, so how many versions a URL has varies, and history starts in July 2026.
POST
/
sources
/
urls
/
content
/
versions
List URL Content Versions
curl --request POST \
--url https://api.peec.ai/customer/v1/sources/urls/content/versions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "https://example.com/blog/page1",
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"limit": 1000,
"offset": 0
}
'import requests
url = "https://api.peec.ai/customer/v1/sources/urls/content/versions"
payload = {
"url": "https://example.com/blog/page1",
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"limit": 1000,
"offset": 0
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/blog/page1',
project_id: 'or_f45b94ba-5e35-4982-93ed-285e72ee14eb',
limit: 1000,
offset: 0
})
};
fetch('https://api.peec.ai/customer/v1/sources/urls/content/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peec.ai/customer/v1/sources/urls/content/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://example.com/blog/page1',
'project_id' => 'or_f45b94ba-5e35-4982-93ed-285e72ee14eb',
'limit' => 1000,
'offset' => 0
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peec.ai/customer/v1/sources/urls/content/versions"
payload := strings.NewReader("{\n \"url\": \"https://example.com/blog/page1\",\n \"project_id\": \"or_f45b94ba-5e35-4982-93ed-285e72ee14eb\",\n \"limit\": 1000,\n \"offset\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peec.ai/customer/v1/sources/urls/content/versions")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://example.com/blog/page1\",\n \"project_id\": \"or_f45b94ba-5e35-4982-93ed-285e72ee14eb\",\n \"limit\": 1000,\n \"offset\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peec.ai/customer/v1/sources/urls/content/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://example.com/blog/page1\",\n \"project_id\": \"or_f45b94ba-5e35-4982-93ed-285e72ee14eb\",\n \"limit\": 1000,\n \"offset\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"versions": [
{
"version": 3,
"scraped_at": "2026-09-01T12:30:00.000Z"
}
],
"total_count": 3
}
}{
"message": "<string>"
}Authorizations
APIKeyHeaderAPIKeyQueryBearerAuth
Query Parameters
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Full URL of a source, as returned by the URLs report or Get URL Content.
Example:
"https://example.com/blog/page1"
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Required range:
1 <= x <= 10000Required range:
0 <= x <= 9007199254740991Response
Success
Success
Show child attributes
Show child attributes
